package ballistics.orbitalPoints.timeStepper

import ballistics.types.OrbitalPoint

interface AbstractStepper {
    fun calculate(t: Double): OrbitalPoint?

    fun calculate(
        t: Double,
        p: OrbitalPoint,
    ): OrbitalPoint?

    fun clear()
}
